Page MenuHomePhabricator

Remove sajax use from SecurePoll
Closed, ResolvedPublic

Description

Remove sajax usage from [[mw:Extension:SecurePoll]].

Details

Reference
bz53122

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:04 AM
bzimport set Reference to bz53122.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle added a subscriber: Krinkle.EditedMar 26 2015, 6:20 AM

Still being used as of 2015:
https://github.com/wikimedia/mediawiki-extensions-SecurePoll/blob/023dd12/resources/SecurePoll.js

Raising priority. This has been deprecated for many years now. This will be removed in a future MediaWiki release.

Krinkle raised the priority of this task from Normal to High.Mar 26 2015, 6:21 AM
Krinkle updated the task description. (Show Details)
Krinkle set Security to None.
Krinkle removed a subscriber: Unknown Object (MLST).
Krinkle renamed this task from Remove sajax usage from SecurePoll MediaWiki extension to Remove sajax use from SecurePoll.Mar 26 2015, 6:46 AM
Krinkle removed a subscriber: Krinkle.
Fhocutt added a subscriber: Fhocutt.

Change 223240 had a related patch set uploaded (by Fhocutt):
[WIP] [SecurePoll] Replace deprecated sajax call with API module

https://gerrit.wikimedia.org/r/223240

Change 223240 merged by jenkins-bot:
[SecurePoll] Replace deprecated sajax call with API module

https://gerrit.wikimedia.org/r/223240

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2015, 1:15 AM
Fhocutt closed this task as Resolved.Jul 24 2015, 1:35 AM
Fhocutt removed a project: Patch-For-Review.